Bug 269196 - Read/Write filter doesn't work correctly with fields in structure
Read/Write filter doesn't work correctly with fields in structure
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
Dev
PC Solaris
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-01 12:42 UTC by soldatov
Modified: 2016-12-07 13:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-12-01 12:42:55 UTC
struct ABC {
    int aaa;
};
int main() {

    ABC abc;
    abc.aaa = 0; // write
    abc.aaa++; // read/write
    ++abc.aaa; // read ???

    int aaa = 1;
    ++aaa; // read/write
    aaa++; // read/write
    return 0;

}

Scenario:
- Call Find Usages wizard on aaa field
- Select Read/Write only
==> I see "abc.aaa++;" only. "++abc.aaa;" line missed.
Comment 1 Alexander Simon 2016-12-01 14:16:21 UTC
fixed in enum, branch release82, change set 0bba0a522557
Comment 2 Quality Engineering 2016-12-03 03:02:30 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/285b4de13915
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #269196 Read/Write filter doesn't work correctly with fields in structure
(transplanted from 0bba0a522557ec32189b18758ad2f2ff1eb10828)
Comment 3 soldatov 2016-12-07 13:05:27 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo